设为首页收藏本站

晓东CAD家园-论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

楼主: Lispboy

[工具] 完美的局部放大工具

  [复制链接]

签到天数: 4 天

连续签到: 1 天

[LV.2]偶尔看看I

发表于 2014-5-7 15:07:01 | 显示全部楼层
不错,不错,不错,不错,不错
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

签到天数: 4 天

连续签到: 1 天

[LV.2]偶尔看看I

发表于 2014-5-7 15:45:15 | 显示全部楼层
不错不错不错不错不错
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

签到天数: 4 天

连续签到: 1 天

[LV.2]偶尔看看I

发表于 2014-5-8 09:22:29 | 显示全部楼层
不错不错不错不错不错
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

签到天数: 1 天

连续签到: 1 天

[LV.1]初来乍到

发表于 2014-5-13 09:00:42 | 显示全部楼层
好东西,支持一下
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

签到天数: 51 天

连续签到: 1 天

[LV.5]常住居民I

已领礼包: 33个

财富等级: 招财进宝

发表于 2014-5-17 15:41:24 | 显示全部楼层
这个太强大了吧。。。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

签到天数: 2 天

连续签到: 1 天

[LV.1]初来乍到

发表于 2014-5-18 21:00:01 | 显示全部楼层
只是遗憾积分不够还不能下载。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

签到天数: 13 天

连续签到: 2 天

[LV.3]偶尔看看II

发表于 2014-5-18 22:56:33 | 显示全部楼层
小白 求教 学习了
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

签到天数: 25 天

连续签到: 3 天

[LV.4]偶尔看看III

发表于 2014-5-21 10:24:57 | 显示全部楼层
整个正式高大上啊!很有用!
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

签到天数: 25 天

连续签到: 3 天

[LV.4]偶尔看看III

发表于 2014-5-21 10:25:28 | 显示全部楼层
是否只支持CAD实体?其他自定义实体支持吗?
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

签到天数: 3 天

连续签到: 1 天

[LV.2]偶尔看看I

发表于 2014-5-21 18:03:12 | 显示全部楼层

非常好的工具,这样方便多了,只是遗憾积分不够还不能下载。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

签到天数: 7 天

连续签到: 2 天

[LV.3]偶尔看看II

发表于 2014-5-24 11:50:44 | 显示全部楼层
jbfd.lsp


(if (not (tblsearch "layer" "2z"))
    (command "layer" "n" "2z" "c" "2" "2z" "")
   )
(defun c:jxjbfd (/ os aa bl cm la pt1 pt2 x y en pt3 pt4 pt5 pt6 dh pp k p1 p2 kk ppp )
  (prompt "\n请指定放大区域:\n")
  (setq os (getvar "osmode"))
  (setq aa (getvar "orthomode"))
  (SETQ bl (GETVAR "BLIPMODE"))
  (SETQ cm (GETVAR "CMDECHO") la (getvar "clayer"))
  (setvar "BLIPMODE" 0)  (setvar "osmode" 0)  (setvar "orthomode" 0)  (SETVAR "CMDECHO" 0)
  (prompt "矩形的左下角:")
  (setq pt1 (getpoint))
  (setq pt2 (getcorner pt1 ) x (- (car pt2) (car pt1)) y (- (cadr pt2) (cadr pt1)))
  (setvar "clayer" "2z")
  (command "rectang" pt1 pt2)
  (setq en (ssget "c" pt1 pt2))
  (setq pt3 (polar pt1 0 (/ x 2.0)) pt3 (polar pt3 (* pi 0.5) y) n 0)
  (setq dh (getstring "\n 请输入局部代号:"))
  (setq pt4 (getpoint pt3))
  (setq pt5 (polar pt4 pi 14))
  (setq pt6 (polar pt5 (* pi 0.25) 2))
  (command "line" pt3 pt4 pt5 "")
  (command "text" pt6 "4" "0" dh)
  (setq pp (getpoint"\n 请指定放大图放置位置:"))
  (setq k (getreal"\n 请指定放大倍数:"))
  (command "copy" "c" pt1 pt2 "" pt1 pp)
   (setvar "PICKBOX" 5)
  (command "ZOOM" "l" pp (* 3 (distance pt1 pt2)) "zoom" "0.95x")
  (setvar "osmode" 512)
  (command "trim" "all" "" )
  (while n
    (prompt "选择要修剪处:")
    (setq p1 (getpoint))
    (if (/= p1 nil)(command p1)
      (progn
        (command "")
        (setq n nil)
        (setq en (ssget "c" pp (polar (polar pp 0 x) (* pi 0.5) y)))
      )
    )
  )      ;;-n
  (setvar "osmode" 0)
  (setq p1 (polar pp (* pi 0.5) (+ (* k (- (cadr pt2) (cadr pt1))) 10)) kk (strcat (rtos k) " : 1") p2 (polar p1 (* pi 1.5) 6))
  (setvar "osmode" 0)
   (command "scale" en "" pp k)
  (setq kk (strcat dh "局部放大" ) l (* (strlen kk) 3))
  (command "text" "m" pp "4" "0" kk)
  (setq me (ssget "l"))
  (setq p1 (polar pp pi (+ (/ l 2.0) 1)) p1 (polar p1 (* pi 1.5) 2.5) p2 (POLAR P1 0 (+ L 2)))
  (command "line" P1 P2 "")
  (setq me2 (ssget "l") me (ssadd (ssname me2 0) me) P3 (polar pp (* pi 1.5) 5))
  (command "text" "m" p3 "4" "0" (strcat  (rtos k) ":1" ))
  (setq me4 (ssget "l") me (ssadd (ssname me4 0) me))
  (setq ppp (polar pp 0 (* (/ x 2.0) k)) ppp (polar ppp (* pi 0.5) (+ (* y k) 10)) )
  (command "move" me "" pp ppp)
  (prompt "删除多余的线:")
  (command "erase" "\\" "")(command "redraw")
  (setvar "osmode" os)
  (setvar "orthomode" aa)
  (setvar "blipmode" bl)
  (setvar "cmdecho" cm)
  (setvar "clayer" la)
)

(defun c:JBFD (/  os aa bl cm la cpoint r p k kk an n ep ss pt1 pt2 pt3 pt4 dh p1 p2 p3 pp)
  (prompt "\n请指定放大区域:\n")
  (setq os (getvar "osmode"))
  (setq aa (getvar "orthomode"))
  (SETQ bl (GETVAR "BLIPMODE"))
  (SETQ cm (GETVAR "CMDECHO") la (getvar "clayer"))
  (SETVAR "BLIPMODE" 0)
  (setvar "osmode" 0)
  (setvar "orthomode" 0)
  (SETVAR "CMDECHO" 0)
  (setvar "clayer" "2z")
  (setq cpoint (getpoint "指定放大区域的园心"))
  (command "circle" cpoint pause)
  (setq r (cdr (assoc 40 (entget (entlast)))) en (ssget "l"))
  (setq pt1 (polar cpoint (/ pi 2) (+ 0.01 r)))
  (setq pt2 (polar pt1 (* pi 0.75) 10))
  (setq pt3 (polar pt2 pi 14))
  (setq pt4 (polar pt3 (* pi 0.25) 2))
  (command "line" pt1 pt2 pt3 "")
  (setq dh (getstring "\n 请输入局部代号:"))
  (command "text" pt4 "4" "0" dh)
  (setq p (getpoint"\n 请指定放大图放置位置:"))
  (setq k (getreal"\n 请指定放大倍数:"))
  (command "copy" "cp")
  (setq n 0 an (* (/ pi 180) 2))
  (repeat 180
    (command (polar cpoint (* an n) r))
    (setq n (1+ n))
  )
  (command "" "" cpoint p)
  (setq n 0)
  (setvar "PICKBOX" 5)
  (command "ZOOM" "C" P (* 3 r))
  (command "circle" p r)
  (setq ep (entlast))
  (command "TRIM" EP "" )
  (setvar "osmode" 512)
  (while (setq pp (getpoint))
    (command pp)
   )
  (command "")
  (setvar "osmode" 0)
  (command "zoom" "p")
  (setq ss (ssget "c" (list (- (car p) r)(- (cadr p) r)) (list (+ (car p) r)(+ (cadr p) r)) )  )
  (command "scale" ss "" p k)(command "erase" ep "")
  (setq kk (strcat dh "局部放大" ) l (* (strlen kk) 3))
  (command "text" "m" p "4" "0" kk)
  (setq me (ssget "l"))
  (setq p1 (polar p pi (+ (/ l 2.0) 1)) p1 (polar p1 (* pi 1.5) 2.5) p2 (POLAR P1 0 (+ L 2)))
  (command "line" P1 P2 "")
  (setq me2 (ssget "l") me (ssadd (ssname me2 0) me) P3 (polar p (* pi 1.5) 5))
  (command "text" "m" p3 "4" "0" (strcat  (rtos k) ":1" ))
  (setq me4 (ssget "l") me (ssadd (ssname me4 0) me))
  (setq pp (polar p (* pi 0.5) (+ (* r k) 10)) )
  (command "move" me "" p pp)
  (command "redraw")
  (setvar "osmode" os)
  (setvar "orthomode" aa)
  (setvar "blipmode" bl)
  (setvar "cmdecho" cm)
  (setvar "clayer" la)
  (PRINC)
)


论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

签到天数: 6 天

连续签到: 1 天

[LV.2]偶尔看看I

发表于 2014-5-24 20:31:20 | 显示全部楼层
非常好的工具,这样方便多了,只是遗憾积分不够还不能下载。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

签到天数: 31 天

连续签到: 1 天

[LV.5]常住居民I

发表于 2014-5-25 23:01:25 | 显示全部楼层
积分还不够,求购。。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

签到天数: 13 天

连续签到: 1 天

[LV.3]偶尔看看II

发表于 2014-5-30 21:35:38 | 显示全部楼层
要是能做矩形和其它形状的放大,就更好了。
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

签到天数: 7 天

连续签到: 1 天

[LV.3]偶尔看看II

发表于 2014-6-4 10:07:49 | 显示全部楼层
份数不够怎么办啊
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|小黑屋|手机版|Archiver|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )  

GMT+8, 2018-9-21 18:12 , Processed in 0.189080 second(s), 57 queries , Gzip On, WinCache On.

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表